/* For the Association Home page */

h2 {
  font-size: 1.2rem;
  width: auto;
  display: table;
  background-image: linear-gradient(rgba(var(--primary_colour_dark), 1), rgba(var(--primary_colour), 1));
  color: rgba(var(--navbar_colour), 1);
  padding: 0.1rem 2.5rem;
  margin-bottom: 20px;
  border-radius: 60px 20px 60px 20px;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.block_1 {
  grid-area: block_1;
  align-items: center;
  justify-content: center;
  color: rgba(var(--primary_colour_mid), 1);
  margin: 2rem 0 1rem 0;
}

.block_2 {
  grid-area: block_2;
  text-align-all: left;
  margin: 1rem 0 1rem 0;
}

.block_3 {
  grid-area: block_3;
  align-items: center;
  margin: 1rem 0 1rem 0;
}

/* ------------------  Display Option Block  --------------------  */

.one_club{
  grid-area: one_club;
  margin-right: 2rem;
  cursor: pointer;
  color: rgba(var(--primary_colour_dark), 1);
}

.multiple_clubs{
  grid-area: multiple_clubs;
  margin-right: 2rem;
  cursor: pointer;
  color: rgba(var(--primary_colour_dark), 1);
}

.open_all{
  grid-area: open_all;
  margin-right: 2rem;
  height: 2rem;
  font-weight: bold;
  text-transform: uppercase;
  border: 1px solid rgba(var(--secondary_colour_dark), 1);
  background-color: rgba(var(--primary_colour_mid), 1);
  color: rgba(var(--secondary_colour_dark), 1);
}

.close_all{
  grid-area: close_all;
  margin-right: 2rem;
  font-weight: bold;
  text-transform: uppercase;
  border: 1px solid rgba(var(--secondary_colour_dark), 1);
  background-color: rgba(var(--primary_colour_dark), 1);
  color: rgba(var(--secondary_colour_dark), 1);
}

.buttons{
  border-radius: 20px 20px 20px 20px;
  padding: 0.5rem 0;
  width: 10rem;
  cursor: pointer;
  text-align: center;
  transition: all 0.2s ease 0.2s;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.buttons:hover{
  border: 1px solid rgba(var(--primary_colour_mid), 1);
  background-color: rgba(var(--secondary_colour_dark), 1);
  color: rgba(var(--primary_colour_mid), 1);
}



/* ----------------------  Club Name Area  ----------------------------- */

.article_bar{
  color: #fefefe !important;
  padding: 0.5rem;
  background-image: linear-gradient(rgba(var(--primary_colour_dark), 1), rgba(var(--primary_colour), 1));
  border-radius: 10px;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.2);
}

/* Club Header */
.article_header {
  cursor: pointer;
}

.main_details_block{
  grid-area: main_details_block;
}

.minor_details_block_club{grid-area: minor_details_block_club;}
.minor_details_block_match{grid-area: minor_details_block_match;}

.down_arrow{
  margin: 0 1rem 0 1rem;
  font-size: 2rem;
}

.main_details{
  font-size: 2rem;
  font-style: italic;
  text-align: left !important;
  color: rgba(var(--secondary_colour), 1);
}

/* --------------------  Club Header Details  ------------------ */

.minor_detail_1a {grid-area: minor_detail_1a;} .minor_detail_1b {grid-area: minor_detail_1b;}
.minor_detail_2a {grid-area: minor_detail_2a;} .minor_detail_2b {grid-area: minor_detail_2b;}
.minor_detail_3a {grid-area: minor_detail_3a;} .minor_detail_3b {grid-area: minor_detail_3b;}
.minor_detail_4a {grid-area: minor_detail_4a;} .minor_detail_4b {grid-area: minor_detail_4b;}
.minor_detail_5a {grid-area: minor_detail_5a;} .minor_detail_5b {grid-area: minor_detail_5b;}
.minor_detail_6a {grid-area: minor_detail_6a;} .minor_detail_6b {grid-area: minor_detail_6b;}
.minor_detail_7a {grid-area: minor_detail_7a;} .minor_detail_7b {grid-area: minor_detail_7b;}
.minor_detail_10a {grid-area: minor_detail_10a;} .minor_detail_10b {grid-area: minor_detail_10b;}
.minor_detail_11a {grid-area: minor_detail_11a;} .minor_detail_11b {grid-area: minor_detail_11b;}
.minor_detail_12a {grid-area: minor_detail_12a;} .minor_detail_12b {grid-area: minor_detail_12b;}



/* --------------------  Club Extra Details  ------------------ */

.row_no_1a {grid-area: row_no_1a;} .row_no_1b {grid-area: row_no_1b;}
.row_no_2a {grid-area: row_no_2a;} .row_no_2b {grid-area: row_no_2b;}
.row_no_3a {grid-area: row_no_3a;} .row_no_3b {grid-area: row_no_3b;}
.row_no_4a {grid-area: row_no_4a;} .row_no_4b {grid-area: row_no_4b;}
.row_no_5a {grid-area: row_no_5a;} .row_no_5b {grid-area: row_no_5b;}
.row_no_6a {grid-area: row_no_6a;} .row_no_6b {grid-area: row_no_6b;}
.row_no_7a {grid-area: row_no_7a;} .row_no_7b {grid-area: row_no_7b;}
.row_no_8a {grid-area: row_no_8a;} .row_no_8b {grid-area: row_no_8b;}
.row_no_9a {grid-area: row_no_9a;} .row_no_9b {grid-area: row_no_9b;}
.row_no_10a {grid-area: row_no_10a;} .row_no_10b {grid-area: row_no_10b;}

.row_no_11a {grid-area: row_no_11a;} .row_no_11b {grid-area: row_no_11b;}
.row_no_12a {grid-area: row_no_12a;} .row_no_12b {grid-area: row_no_12b;}
.row_no_13a {grid-area: row_no_13a;} .row_no_13b {grid-area: row_no_13b;}
.row_no_14a {grid-area: row_no_14a;} .row_no_14b {grid-area: row_no_14b;}
.row_no_15a {grid-area: row_no_15a;} .row_no_15b {grid-area: row_no_15b;}
.row_no_16a {grid-area: row_no_16a;} .row_no_16b {grid-area: row_no_16b;}
.row_no_17a {grid-area: row_no_17a;} .row_no_17b {grid-area: row_no_17b;}
.row_no_18a {grid-area: row_no_18a;} .row_no_18b {grid-area: row_no_18b;}
.row_no_19a {grid-area: row_no_19a;} .row_no_19b {grid-area: row_no_19b;}
.row_no_20a {grid-area: row_no_20a;} .row_no_20b {grid-area: row_no_20b;}

.row_no_21a {grid-area: row_no_21a;} .row_no_21b {grid-area: row_no_21b;}
.row_no_22a {grid-area: row_no_22a;} .row_no_22b {grid-area: row_no_22b;}
.row_no_23a {grid-area: row_no_23a;} .row_no_23b {grid-area: row_no_23b;}
.row_no_24a {grid-area: row_no_24a;} .row_no_24b {grid-area: row_no_24b;}
.row_no_25a {grid-area: row_no_25a;} .row_no_25b {grid-area: row_no_25b;}
.row_no_26a {grid-area: row_no_26a;} .row_no_26b {grid-area: row_no_26b;}
.row_no_27a {grid-area: row_no_27a;} .row_no_27b {grid-area: row_no_27b;}
.row_no_28a {grid-area: row_no_28a;} .row_no_28b {grid-area: row_no_28b;}
.row_no_29a {grid-area: row_no_29a;} .row_no_29b {grid-area: row_no_29b;}
.row_no_30a {grid-area: row_no_30a;} .row_no_30b {grid-area: row_no_30b;}

.row_no_31a {grid-area: row_no_31a;} .row_no_31b {grid-area: row_no_31b;}
.row_no_32a {grid-area: row_no_32a;} .row_no_32b {grid-area: row_no_32b;}
.row_no_33a {grid-area: row_no_33a;} .row_no_33b {grid-area: row_no_33b;}
.row_no_34a {grid-area: row_no_34a;} .row_no_34b {grid-area: row_no_34b;}

.row_no_35a {grid-area: row_no_35a;} .row_no_35b {grid-area: row_no_35b;}
.row_no_36a {grid-area: row_no_36a;} .row_no_36b {grid-area: row_no_36b;}
.row_no_37a {grid-area: row_no_37a;} .row_no_37b {grid-area: row_no_37b;}
.row_no_38a {grid-area: row_no_38a;} .row_no_38b {grid-area: row_no_38b;}
.row_no_39a {grid-area: row_no_39a;} .row_no_39b {grid-area: row_no_39b;}
.row_no_40a {grid-area: row_no_40a;} .row_no_40b {grid-area: row_no_40b;}
.row_no_41a {grid-area: row_no_41a;} .row_no_41b {grid-area: row_no_41b;}
.row_no_42a {grid-area: row_no_42a;} .row_no_42b {grid-area: row_no_42b;}

.row_no_43a {grid-area: row_no_43a;} .row_no_43b {grid-area: row_no_43b;}
.row_no_44a {grid-area: row_no_44a;} .row_no_44b {grid-area: row_no_44b;}
.row_no_45a {grid-area: row_no_45a;} .row_no_45b {grid-area: row_no_45b;}
.row_no_46a {grid-area: row_no_46a;} .row_no_46b {grid-area: row_no_46b;}
.row_no_47a {grid-area: row_no_47a;} .row_no_47b {grid-area: row_no_47b;}
.row_no_48a {grid-area: row_no_48a;} .row_no_48b {grid-area: row_no_48b;}
.row_no_49a {grid-area: row_no_49a;} .row_no_49b {grid-area: row_no_49b;}
.row_no_50a {grid-area: row_no_50a;} .row_no_50b {grid-area: row_no_50b;}
.row_no_51a {grid-area: row_no_51a;} .row_no_51b {grid-area: row_no_51b;}
.row_no_52a {grid-area: row_no_52a;} .row_no_52b {grid-area: row_no_52b;}
.row_no_53a {grid-area: row_no_53a;} .row_no_53b {grid-area: row_no_53b;}
.row_no_54a {grid-area: row_no_54a;} .row_no_54b {grid-area: row_no_54b;}

.break_line_1{grid-area: break_line_1; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_2{grid-area: break_line_2; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_3{grid-area: break_line_3; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_4{grid-area: break_line_4; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_5{grid-area: break_line_5; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_6{grid-area: break_line_6; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_7{grid-area: break_line_7; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_8{grid-area: break_line_8; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_9{grid-area: break_line_9; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_10{grid-area: break_line_10; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}
.break_line_11{grid-area: break_line_11; border-color: rgba(var(--hr_line), 1); margin: 0.5rem 0 0.5rem 0;}


.map_link{
  color: rgba(var(--club_bar_blue), 1);
  font-style: italic;
}

.map_link:hover{
  color: rgba(var(--warning_dark), 1);
}

.club_extra_details_block{
  /*display: inline-block;*/
  width: 100%;
  margin-left: 1%;
  margin-bottom: 1rem;
}

.club_extra_details{
  width: 98%;
  background-color: rgba(var(--navbar_colour), 1);
  color: rgba(var(--club_bar_grey_1), 1);
  font-size: 1rem;
  padding: 1rem;
  border-radius: 0 0 10px 10px;
  border: 1px solid rgba(var(--primary_colour), 1);
  border-top: 0;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.2);
}

.minor_detail_a{
  font-size: 0.9rem !important;
  text-align: right;
  color: rgba(var(--navbar_colour), 1);
}

.minor_detail_b {
  font-size: 0.9rem !important;
  text-align: left;
  margin-left: 0.5rem;
  color: rgba(var(--secondary_colour), 1);
}

.minor_detail_3{
  margin: 0 0.2rem 0.5rem 3rem ;
  font-size: 0.9rem !important;
  text-align: right;
  padding-right: 0.5rem;
  color: rgba(var(--primary_colour), 1);
}

.minor_detail_4 {
  font-size: 0.9rem !important;
  text-align: left;
  margin-bottom: 0.25rem;
  color: rgba(var(--primary_colour_dark), 1);
}

.grey_italic {
  color: lightslategrey;
  font-style: italic;
}

/* ------------------------------------*/
/*           Buttons Area              */
/* ------------------------------------*/


.form_buttons{
  border-radius: 60px 20px 60px 20px;
  padding: 0.5rem 0;
  margin: 0.5rem 0 0.5rem 0;
  width: 15rem;
  cursor: pointer;
  text-align: center;
  transition: all 0.2s ease 0.2s;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.shortcut_button{
  background-color: rgba(var(--primary_colour_mid), 1);
  color: rgba(var(--secondary_colour_dark), 1);
  border: 1px solid rgba(var(--secondary_colour_dark), 1);
}

.shortcut_button:hover{
  background-color: rgba(var(--primary_colour_dark), 1);
  color: rgba(var(--secondary_colour_dark), 1);
  border: 1px solid rgba(var(--secondary_colour_dark), 1);
}

#shortcut_buttons_area {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-evenly;
  padding-bottom: 1rem;
}

/* Hiding the Submit Filters Button*/
.hide_button, .hide_row {display: none;}






